# API Keys

LingoHub API V2 (Beta) · [all operations](https://developers.lingohub.com/reference/v2.md)

Check the API key a request is made with, and read and rename the workspace's API keys.

## Operations

- [`GET /v2/api-keys/{apiKeyId}`](https://developers.lingohub.com/reference/v2/operations/getworkspaceapikey.md): Retrieve a workspace API key
- [`PATCH /v2/api-keys/{apiKeyId}`](https://developers.lingohub.com/reference/v2/operations/updateworkspaceapikey.md): Update a workspace API key
- [`GET /v2/api-keys`](https://developers.lingohub.com/reference/v2/operations/listworkspaceapikeys.md): List workspace API keys
- [`GET /v2/api-key`](https://developers.lingohub.com/reference/v2/operations/getapikey.md): Retrieve the API key
- [`DELETE /v2/api-key`](https://developers.lingohub.com/reference/v2/operations/deleteapikey.md): Revoke the API key
